Bug 1309543 - SELinux is preventing pulseaudio from using the 'signull' accesses on a process.
SELinux is preventing pulseaudio from using the 'signull' accesses on a process.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
i686 Unspecified
medium Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:43869a6234ed8359bb0ca00d04c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 00:06 EST by Youichi Kawachi
Modified: 2016-12-20 13:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:48:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Youichi Kawachi 2016-02-18 00:06:09 EST
Description of problem:
SELinux is preventing pulseaudio from using the 'signull' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If pulseaudio に、 unconfined_t にラベルされている signull アクセスがデフォルトで許可されるべきです。   
Then バグとして報告してください。 
ローカルのポリシーモジュールを生成すると、
 このアクセスを許可することができます。
Do
このアクセスを一時的に許可するには、以下を実行してください。
# grep pulseaudio /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:pulseaudio_t:s0
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                Unknown [ process ]
Source                        pulseaudio
Source Path                   pulseaudio
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.6.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.3.5-300.fc23.i686 #1 SMP Mon Feb
                              1 03:53:33 UTC 2016 i686 i686
Alert Count                   120
First Seen                    2016-02-18 13:50:03 JST
Last Seen                     2016-02-18 13:50:38 JST
Local ID                      49644479-826e-4533-8679-e5e59bb46866

Raw Audit Messages
type=AVC msg=audit(1455771038.376:416): avc:  denied  { signull } for  pid=2746 comm="pulseaudio" scontext=system_u:system_r:pulseaudio_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process permissive=0


Hash: pulseaudio,pulseaudio_t,unconfined_t,process,signull

Version-Release number of selected component:
selinux-policy-3.13.1-158.6.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.3.5-300.fc23.i686
type:           libreport
Comment 1 Lukas Vrabec 2016-02-18 13:29:16 EST
Are you able to reproduce this issue? Could you attach reproducer? And output of:
# ps -efZ | grep unconfined_t 

Thank you.
Comment 2 Youichi Kawachi 2016-02-18 20:31:32 EST
(In reply to Lukas Vrabec from comment #1)
> Are you able to reproduce this issue? Could you attach reproducer? And
> output of:
> # ps -efZ | grep unconfined_t 
> 
> Thank you.

Hello.

# Ps -efZ | grep unconfined_t

This is the line of "PulseAudio" from the list to be output.
I do not have a good understanding. 

unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 youichi 1490 1342  0 09:41 ? 00:00:01 /usr/lib/xfce4/panel/wrapper-2.0 /usr/lib/xfce4/panel/plugins/libpulseaudio-plugin.so 19 18874403 pulseaudio PulseAudio Plugin Adjust the audio volume of the PulseAudio sound system
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 youichi 3117 1  0 09:44 ? 00:00:00 /usr/bin/pulseaudio --start --log-target=syslog
Comment 3 Fedora End Of Life 2016-11-24 10:37:22 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 13:48:11 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.